Support » Plugin: Imagify Image Optimizer » Deprecated: __autoload() is deprecated, use spl_autoload_register() instead in C

  • Resolved Craig Chamberlin

    (@pcmichiana)



    Using PHP 7.2 on my development environment, wanted to give your team a heads up that an existing function used in the plugin is depreciated

    Deprecated: __autoload() is deprecated, use spl_autoload_register() instead in C:\xampp\htdocs\pe-wp\wp-content\plugins\imagify\inc\functions\compat.php on line 73

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Contributor ScreenfeedFr

    (@greglone)

    Hi Craig, I’m Greg, Imagify’s plugin lead developer.

    You’re right, I just discovered this issue and I will use the same trick by moving it in a separated file.

    Next minor version of the plugin is closed, but I will do it in the next one (1.7, spoiler alert).

    I opened an issue on Github.

    Thanks Craig!

    • This reply was modified 7 months, 2 weeks ago by  ScreenfeedFr.

    Awesome, thanks for following up. Wasn’t a huge deal just figured you guys might want to know!

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Deprecated: __autoload() is deprecated, use spl_autoload_register() instead in C’ is closed to new replies.